# openPilotLog: experimental::AFlightEntry Class Reference

experimental::AFlightEntry Class Reference
Inheritance diagram for experimental::AFlightEntry:

## Public Types

enum | pilot { pic, sic, thirdPilot }

## Public Member Functions

| AFlightEntry (const AFlightEntry &pe)=default
AFlightEntry & | operator= (const AFlightEntry &pe)=default
| AFlightEntry (int row_id)
| AFlightEntry (TableData table_data)
const QString | summary ()
| Returs a summary of the flight data, if struct holds data. More...
const QString | getRegistration ()
| Returns the tails' registration from the database.
const QString | getPilotName (pilot)
| Returns the pilots name from the Database. More...
Public Member Functions inherited from experimental::AEntry
| AEntry (const AEntry &)=default
AEntry & | operator= (const AEntry &)=default
| AEntry (DataPosition position_)
| AEntry (TableData table_data)
| AEntry (DataPosition position_, TableData table_data)
void | setData (TableData table_data)
void | setPosition (DataPosition position_)
const DataPosition & | getPosition ()
const TableData & | getData ()

## Additional Inherited Members

Public Attributes inherited from experimental::AEntry
TableData | tableData
Protected Attributes inherited from experimental::AEntry
DataPosition | position

## Member Function Documentation

## getPilotName()

const QString experimental::AFlightEntry::getPilotName | ( | pilot | pilot_ | ) |

Returns the pilots name from the Database.

Parameters

  pilot_number | - 1=pic, 2=second Pilot, 3 = third Pilot

Returns
  "Lastname, Firstname"

## summary()

const QString experimental::AFlightEntry::summary | ( |  | ) |

Returs a summary of the flight data, if struct holds data.

Returns
  "doft, dept, tofb, dest, tonb"

The documentation for this class was generated from the following files:

- src/experimental/aflightentry.h
- src/experimental/aflightentry.cpp